wrong CRS definition 

2011-06-22 12:39 AM - Otto Dassau

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13996

Description

History

#1 - 2011-06-22 12:44 AM - Otto Dassau

- Category set to GUI

- Target version set to Version 1.7.1

- Operating System set to Windows 7

Hi developers,

working with qgis 1.7 I found out, that the CRS definition in the layers properties dialog are wrong visualized, even if the CRS information in the .prj file is

correct. This happens for EPSG 25832. In the dialog it is displayed as EPSG: 3044.

thanks a lot

  Otto

#2 - 2011-06-22 12:54 AM - Giovanni Manghi

I also noticed this, with epsg 4326 being recognized as another (don't remember exactly) CRS.

#3 - 2011-06-22 02:12 AM - Giovanni Manghi

- Priority changed from Normal to High

- Operating System deleted (Windows 7)

So I confirm this also on Windows. I have wgs84/4326 layers (both vectors and rasters) that are recognized as

EPSG:4148 - Hartebeesthoek94

Using trunk on Ubuntu.

#4 - 2011-06-30 03:29 PM - Jürgen Fischer

- Status changed from Open to Feedback

Do the .prjs contain a EPSG references?
PROJ.4 wise EPSG:25832 and EPSG:3044 are identical as are EPSG:4326 and EPSG:4148. So without a direct EPSG reference GDAL doesn't have a

chance to figure out the desired EPSG code.

#5 - 2011-10-01 01:26 PM - Jürgen Fischer

- Pull Request or Patch supplied set to No

- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for the lack of feedback.
